org.keycloak.models.map.realm.entity

## Class MapRequiredCredentialEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapRequiredCredentialEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapRequiredCredentialEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MapRequiredCredentialEntity` | `fromModel(RequiredCredentialModel model)`
    `String` | `getFormLabel()`
    `String` | `getType()`
    `int` | `hashCode()`
    `Boolean` | `isInput()`
    `Boolean` | `isSecret()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setFormLabel(String formLabel)`
    `void` | `setInput(boolean input)`
    `void` | `setSecret(boolean secret)`
    `void` | `setType(String type)`
    `static RequiredCredentialModel` | `toModel(MapRequiredCredentialEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapRequiredCredentialEntity fromModel(RequiredCredentialModel model)

    - #### toModel

          public static RequiredCredentialModel toModel(MapRequiredCredentialEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getFormLabel

          public String getFormLabel()

    - #### setFormLabel

          public void setFormLabel(String formLabel)

    - #### isSecret

          public Boolean isSecret()

    - #### setSecret

          public void setSecret(boolean secret)

    - #### isInput

          public Boolean isInput()

    - #### setInput

          public void setInput(boolean input)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.